Subject: Re: [hybi] HYBI recording available

From: "[email-masked]" <[email-masked]>
Date: Fri, 1 Apr 2011 02:11:06 +0200

Hi guys,

we answer your questions once and for all (hopefully ;-)) below. First 
of all, I'm afraid not all of you realized that the recordings are not 
"just" videos. Indeed, they are multimedia assets properly assembled 
(and synchronized) through a SMIL (http://www.w3.org/AudioVideo/) file. 
As an example, here is the .smil representation of the HyBi recording:

http://meetecho-ietf.comics.unina.it/recordings/hybi/recording.smil

As you can easily recognize, it contains references to slide images, 
chat log (as a textstream), plus the movie file containing both audio 
and video (http://143.225.229.137/recordings/hybi/video.mov). If you are
 familiar with smil (and I assume you are, since you all live in 2011), 
you can just take the mentioned file and play with it in order to: (i) 
either let it work with your favorite smil player; (ii) or patiently 
download all of the referenced resources (with your favorite software) 
and enjoy them separately. 

In order to facilitate your work, we have put on-line, in the downloads 
section on www.meetecho.com: (i) a ready-to-go java application that you
 can download on your computer and which can be fed with the smil file 
in order to play out the recordings (it is actually the scary software 
we launch when you click on the on-line recording link); (ii) the source
 code of the mentioned scary application, which you can freely download 
and modify in order to both double-check its correctness and improve it.
 In the second case (i.e. if you happen to improve it) we would be glad 
to receive from you the updated version. Please keep in mind that the 
application requires that you have Java Media Framework installed on 
your PC.

Just one thing: www.meetecho.com requires that you register before 
allowing you to download our software. Registration is just for our logs
 and we don't sell private information to third parties. If it is too 
much for you, just throw in the towel ;-).

Hope this helps,

The Meetecho Team
Da: "Simone Bordet" [email-masked]
A: "Lorenzo Miniero" [email-masked]
Cc: "Willy Tarreau" [email-masked], [email-masked]
Data: Fri, 1 Apr 2011 00:30:36 +0200
Oggetto: Re: [hybi] HYBI recording available

> Hi,
> 
> On Thu, Mar 31, 2011 at 21:04, Lorenzo Miniero  wrote:
> > Dear Adam and Willy,
> >
> > about the full access, that's a security policy notification that is common to all JNLP-based applications.
> 
> Not exactly true, as not all JNLP application needs
> java.security.AllPermission to run.
> 
> > We can just reassure you that the only thing the application does is retrieve the SMIL description file, i.e. a standard way to describe a synchronized view of all the involved media, and in turn download the media content itself. After that, the playout starts allowing you to seek.
> 
> The player uses native libraries, which requires all permissions, so
> there is no easy way out (unless of course you change the player).
> 
> Would it be possible to convert the video to some other format that
> only requires a browser to see, as per Adam's suggestion ?
> 
> > Hoping this isn't a dealbreaker for you :)
> 
> It is for me also. We're in 2011 and JNLP requiring AllPermission
> looks soooo 2000s.
> 
> I could watch it in a virtual machine, but it's a lot more complicated
> than it needs to.
> 
> Simon
> -- 
> http://bordet.blogspot.com
> ---
> Finally, no matter how good the architecture and design are,
> to deliver bug-free software with optimal performance and reliability,
> the implementation technique must be flawless.   Victoria Livschitz

---

From: Adam Barth <[email-masked]>
Date: Thu, 31 Mar 2011 17:46:36 -0700

That's all very nice, but I'm not going to audit your Java source code
in order to watch this content.  However, I would very much like to
watch the video in my browser.  I doubt I'm the only one.

Kind regards,
Adam

On Thu, Mar 31, 2011 at 5:11 PM, [email-masked] <[email-masked]> wrote:
> Hi guys,
>
> we answer your questions once and for all (hopefully ;-)) below. First of
> all, I'm afraid not all of you realized that the recordings are not "just"
> videos. Indeed, they are multimedia assets properly assembled (and
> synchronized) through a SMIL (http://www.w3.org/AudioVideo/) file. As an
> example, here is the .smil representation of the HyBi recording:
>
> As you can easily recognize, it contains references to slide images, chat
> log (as a textstream), plus the movie file containing both audio and video
> (http://143.225.229.137/recordings/hybi/video.mov). If you are familiar with
> smil (and I assume you are, since you all live in 2011), you can just take
> the mentioned file and play with it in order to: (i) either let it work with
> your favorite smil player; (ii) or patiently download all of the referenced
> resources (with your favorite software) and enjoy them separately.
>
> section on www.meetecho.com: (i) a ready-to-go java application that you can
> download on your computer and which can be fed with the smil file in order
> to play out the recordings (it is actually the scary software we launch when
> you click on the on-line recording link); (ii) the source code of the
> mentioned scary application, which you can freely download and modify in
> order to both double-check its correctness and improve it. In the second
> case (i.e. if you happen to improve it) we would be glad to receive from you
> the updated version. Please keep in mind that the application requires that
> you have Java Media Framework installed on your PC.
>
> Just one thing: www.meetecho.com requires that you register before allowing
> you to download our software. Registration is just for our logs and we don't
> sell private information to third parties. If it is too much for you, just
> throw in the towel ;-).
>
> Hope this helps,
>
> The Meetecho Team
>
>> > We can just reassure you that the only thing the application does is
>> > retrieve the SMIL description file, i.e. a standard way to describe a
>> > synchronized view of all the involved media, and in turn download the media
>> > content itself. After that, the playout starts allowing you to seek.
>>
> _______________________________________________
> hybi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/hybi
>
>

---

From: Willy Tarreau <[email-masked]>
Date: Fri, 1 Apr 2011 07:36:42 +0200

Hi Adam,

> watch the video in my browser.  I doubt I'm the only one.

Indeed, and you can use the link below which contains the video, it works
for me with mplayer :

   http://143.225.229.137/recordings/hybi/video.mov

Thanks for the link, meetecho guys, it's *much* easier for me to use that
way, I don't have to install/upgrade whatever component on my machines.

Regards,
Willy

---

From: Adam Barth <[email-masked]>
Date: Thu, 31 Mar 2011 23:15:43 -0700

> way, I don't have to install/upgrade whatever component on my machines.

Yay!  /me goes and gets some popcorn.

Adam